[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EAbort

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Abort error.

## Declaration

Source position: sysutilh.inc line 190

`type EAbort = class(Exception)`

## Inheritance

`EAbort` |  | Abort error.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

Abort is raised by the Abort procedure. It is not displayed in GUI applications, and serves only to immediately abort the current procedure, and return control to the main program loop.

## See also

Abort |  | Abort program execution.